Subject: Re: bug#74833: 31.0.50; Copy to OS clipboard doesn't work in macOS Terminal.app with xterm-mouse-mode enabled

From: Ship Mints <[email-masked]>
Date: Mon, 23 Dec 2024 14:36:34 +0100

You should be able to paste using the (annoying, yes) CUA key Shift-Ins vs.
right mouse button.

I think the only way to know for sure you're under putty is to change your
putty configuration to set/send a custom environment variable that you can
test. I do not recall one that it sets/sends by default beyond TERM which
is "xterm" and that's obviously insufficient.

On Mon, Dec 23, 2024 at 1:47 PM Eli Zaretskii <[email-masked]> wrote:

> I found one more case where turning on xterm-mouse-mode by default
> causes problems: PuTTY.  It loses the ability to paste from the
> Windows clipboard by a right mouse click when xterm-mouse-mode is
> turned on.
>
> Can we identify PuTTY in some way, so that xterm-mouse-mode could not
> be turned on in that case?
>